
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>聊天室关键技术[用户断线]处理 / iVAN</title>

    <meta name="description" content="聊天室关键技术[用户断线]处理 聊天室 在编聊天室时,处理用户断线是一个刺手的问题,特别是放到免费网站上,如果一味地靠global.asa,什么时候触发session_onend,application_onend,都是一个不确定的数字,在设计时,合理地安排会带来意想不到的好处.那么有什么最简便办法处理用户断线呢?笔者经过试验,有了以下的方法:聊天室用N个application(&quot;user&quot; &amp; N)来保存用户名,再用application(&quot;TimeBegin&quot;)来保存每个用户 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">聊天室关键技术[用户断线]处理</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>聊天室</p>
<p>在编聊天室时，处理用户断线是一个刺手的问题，特别是放到免费网站上，如果一味地靠global.asa，什么时候触发<br />session_onend,application_onend，都是一个不确定的数字，在设计时，合理地安排会带来意想不到的好处。<br />那么有什么最简便办法处理用户断线呢？<br />笔者经过试验，有了以下的方法：<br />聊天室用N个application("user" &amp; N)来保存用户名，再用application("TimeBegin")来保存每个用户的登录时间,同<br />时，在用户登录时用session("TimerBegin")保存登录时间(timer)，在发言区设定刷新时间为N秒，每次刷新将session<br />("TimeBegin")的时间更新，同时判断timer - application("user"&amp;session(userID)) 是否&gt;N秒，如果是则说明该用户没<br />有自动刷新，即意味着已经断线，即可将该application("user"&amp;N)设为空值，再提示该用户已退出即可。<br />部分代码：<br />total = application("AllPeople")'聊天总人数<br />aryHuman = split(total,";")<br />for i = lbound(aryHuman) to ubound(aryHuman) - 1<br />if application("user" &amp; i) = "online" then<br />if int(timer) - int(application("TimeBegin" &amp; i)) &gt; 120 then<br />application("user" &amp; i) = ""<br />temp = aryHuman(i)<br />aryName = split(temp,",")<br />hrefname = aryName(0) <br />for j = lbound(aryHuman) to ubound(aryHuman) - 1<br />if application("user" &amp; j) = "online" then<br />application("content" &amp; j) = "&lt;FONT color=#000000&gt;【公告】"&amp;hrefname&amp;"&lt;/FONT&gt;" &amp;"&lt;font color=#F08000 <br />&gt;"&amp; "断线..." &amp; "&lt;/font&gt;&lt;font color = #000000 class=p9&gt;" &amp; " &lt;" &amp; time() &amp; "&gt;&lt;/font&gt;&lt;br&gt;" &amp; application<br />("content" &amp; j)<br />end if<br />next<br />end if<br />end if<br />next<br />%&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 18:15:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/application/" title="application">application</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/%e8%81%8a%e5%a4%a9%e5%ae%a4/" title="聊天室">聊天室</a>, <a href="https://www.iamivan.net/tag/user/" title="user">user</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>聊天室关键技术[用户断线]处理的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZJBYz.html" rel="bookmark">无刷新聊天室的技术实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				聊天室|刷新|无刷新|聊天室|刷新|无刷新 先简单说明下 服务端 用程序生成需要的 XML 文件 客户端 利用 XMLHTTP 或者 DSO(注意状态) 定时刷新需要的数据 相对来说 DSO 可以映射成 recordset 操作比较简单 以下是我简单写着玩的东西 不是完整部分 而且十分简陋 只是代码片段 但作为技术参考已经足够 需要 MSXML 4.0 服务端 我写了两个构造函数 分别是 聊天内容 聊天用户 &lt;script language=&quot;JScript&quot; runat=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlxm3DM.html" rel="bookmark">PHP聊天室&lowbar;WebSocket技术实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在研究聊天室技术,因为我是做php的,肯定想要从php入手,偶的一个聊天室,下载地址: http://pan.baidu.com/s/1dDWsbip 密码:i2qz 正在修行当中,准备以此为基础做一款php的聊天室系统出来,php的东西比较容易看懂,但是我遇到的一个问题是前台文件如何发送信息到后台服务器呢,后来研究发现是用的js 的WebSocket技术,如下是常用js WebSocket 常用操作: var socket = new WebSocket('ws://localhost:8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5xlWM.html" rel="bookmark">PHP聊天室技术讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上网聊天是时下最流行的交友方式.各大网站推出的聊天室都各具特色. 聊天室主要分为WebChat.BBSChat两种.BBSChat是基于Telnet的Tcp协议,是BBS的附设功能,需要客户端Telnet程序.WebChat则采用浏览器方式,实际上是一个多人共同使用的CGI程序.其基本原理是把每个用户的发言通过浏览器传给系统,再由系统收集处理后分发给特定用户.   WebChat一般采用Server Push或Client Pull技术.两种技术的区别在于使用不同的方式将数据分发给用户,Serv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVlyVM.html" rel="bookmark">PHP聊天室技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP聊天室技术 黄国辉 1．前言   上网聊天是时下最流行的交友方式.各大网站推出的聊天室都各具特色.   聊天室主要分为WebChat.BBSChat两种.BBSChat是基于Telnet的Tcp协议,是BBS的附设功能,需要客户端Telnet程序.WebChat则采用浏览器方式,实际上是一个多人共同使用的CGI程序.其基本原理是把每个用户的发言通过浏览器传给系统,再由系统收集处理后分发给特定用户.   WebChat一般采用Server Push或Client Pull技术.两种技术的区别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDnGXLM.html" rel="bookmark">网赚课堂三  结合挂QQ聊天室 看看我们讲怎么走网赚之路 &lpar;人淡如菊版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 人淡如菊 19:58:41 好现在开始 没有听到课的朋友请到www.chuangyenet.com去学习.里面有整理好的材料. 人淡如菊 19:58:53 这堂可的主题是 人淡如菊 19:59:38 结合挂 QQ聊天室 看看我们讲怎么走网赚之路 人淡如菊 20:00:18 先说一下 网赚都有什么写什么方式 人淡如菊 20:02:58 国内的广			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlgJq8b.html" rel="bookmark">Java基于UDP协议实现简单的聊天室程序&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近比较闲,一直在抽空回顾一些Java方面的技术应用. 今天没什么事做,基于UDP协议,写了一个非常简单的聊天室程序. 现在的工作,很少用到socket,也算是对Java网络编程方面的一个简单回忆.  先看一下效果:   实现的效果可以说是非常非常简单,但还是可以简单的看到一个实现原理.  &quot;聊天室001&quot;的用户,小红和小绿相互聊了两句,&quot;聊天室002&quot;的小黑无人理会,在一旁寂寞着.  看一下代码实现:  1.首先是消息服务器的实现,功能很简单:•将客户端的信息(进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeAYjz.html" rel="bookmark">聊天室建设详解四</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们把上面的程序保存在具有执行权限的服务器目录中,在客户端用浏览器打开时,我们见到了平常聊天室一样的用户登陆界面.我们于是输入用户名及密码,按发送时,我们所输入的资料便会暗中存入用户数据库中.接着便出现了发言筐,我们试着输入一句话,点发言按钮,这时,我们的发言便会带着我们所输入的话,我们所选择的说话对象,我们所选择的颜色以及表情写入发言数据库中.但是,发言之后,我们并没有发现任何语句出现在屏幕上,那是因为:这个程序本身负责的纯粹是把数据库写入数据库,他不会向客户端返回任何东西,除非你的输入是错			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQdoGz.html" rel="bookmark">我自己写的聊天室源代码（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				聊天室|源代码 1.用户信息管理用于层次标识无意义&lt;%'useradmin.asp%&gt;&lt;html&gt; &lt;head&gt;&lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=gb2312&quot;&gt;&lt;title&gt;用户信息管理&lt;/title&gt;&lt;meta name=&quot;GENERATOR&quot; content=&quot;Micr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBgLZb.html" rel="bookmark">闪聊网上线，聊天室开放免费申请</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2007年9月11日,上海拓盟推出闪聊网,为网站和博客免费提供 聊天室平台.终端聊天用户访问网页就可聊天,无需安装任何插件. 闪聊网清新健康,倡导绿色沟通.闪聊的界面设计干净.漂亮,功能强大,而且是绿色代码,不会给你的网站产生任何垃圾.申请聊天室代码三分钟搞定,嵌入到网站或博客里即可增添聊天功能. 国内知名免费短信网&quot;做做客&quo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlngEb.html" rel="bookmark" class="title">约瑟夫环问题求解算法C语言源代码</a>
					<div>
						约瑟夫算法:n个人围成一圈,每人有一个各不相同的编号,选择一个人作为 起点,然后顺时针从1到k数数,每数到k的人退出圈子,圈子缩小,然后从下一 个人继续从1到k数数,重复上面过程.求最后推出圈子的那个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91dw3M.html" rel="bookmark" class="title">Photoshop合成正在烧信件的酷女孩</a>
					<div>
						  Photoshop合成正在烧信件的酷女孩           最终效果 1.首先打开美女图片. 2.放大显示,美女皮肤比较粗糙,我们用颜色器画笔搞定.先复制背景层,选择这个工具,设置如下. 3.然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal3Agz.html" rel="bookmark" class="title">怎样将图片批量导入到WORD中？</a>
					<div>
						现在需要将一大批JPEG格式的图片文件导入到WORD当中,可就是不知道怎么导入,那位大虾发一个工具或者给个具体解决的办法, 关于本问题的具体解决的方法如下: 1.将Word打开,找到&quot;插入& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M624DgM.html" rel="bookmark" class="title">WPS2016文档如何拆分窗口使用</a>
					<div>
						  有办法对文档进行&quot;拆分&quot;然后同时对多份文档进行编辑吗?这些在WPS2016里都可以轻松实现 1.打开需要拆分窗口的WPS文档,点击工具栏的&quot;视图&quot;,然后点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwO8Rz.html" rel="bookmark" class="title">5条鲜为人知的Windows小技巧</a>
					<div>
						1. 双击窗口左上角关闭窗口 2. 在错误信息窗口激活时按下Ctrl+C复制错误信息 Windows时不时会傲娇一下,蹦几个错误信息给你看.当你想拷贝错误信息去Google一下时却发现,丫的这些字居然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOjD5b.html" rel="bookmark" class="title">百度UED：以情动人 打好广告的情感牌</a>
					<div>
						母亲节刚过,有天在地铁里看到这样一个广告:一对漂亮的玉手镯照片,旁边写着&quot;总要给妈妈一个值得她骄傲的礼物&quot;.回想起2011年美国&lt;时代周刊&gt;10大电视广告中,有7个是以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBnqLb.html" rel="bookmark" class="title">Win8怎么关闭系统保护？</a>
					<div>
						  1.鼠标右键点击计算机,选择&quot;属性&quot;; 2.选择&quot;系统保护&quot;; 3.选择需要关闭系统保护的磁盘; 4.点击配置; 5.点击禁用系统保护,点击&quot;应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze74j9M.html" rel="bookmark" class="title">javascript定义变量时带var与不带var的区别分析</a>
					<div>
						 这篇文章主要介绍了javascript定义变量时带var与不带var的区别,以一个简单实例分析了变量定义时带var与不带var的执行原理及用法区别,需要的朋友可以参考下     本文实例分析了jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E1dVM.html" rel="bookmark" class="title">Word中无法使用拖放功能</a>
					<div>
						  在使用Word编辑文档的时候,Word中选定文字时,不能保持选定状态,无法使用拖放功能选定文字,放到其他位置. 出现这种情况可能是没有开启拖放式文本编辑功能,可以根据以下方法开启. 选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLymWb.html" rel="bookmark" class="title">Win8查看是否官方正版授权的方法</a>
					<div>
						  无论是刚买的电脑还是系统崩溃了都需要安装系统,很多人都害怕安装了盗版的系统,就算确实安装的是正版的系统,一旦电脑遇到什么样的问题,都会抱怨认为自己安装了盗版的系统,所以不少营销员都哑巴吃黄连,有苦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zn53b.html" rel="bookmark" class="title">Maven使用笔记（六）使用Maven进行多模块拆分</a>
					<div>
						模块拆分是Maven经常使用的功能,简单梳理一下如何使用Maven进行多模块拆分, 只做归纳总结,网上资料很多,不再一步一步实际创建和部署. 1.建立Maven多模块项目 一个简单的Java Web项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrGk9M.html" rel="bookmark" class="title">java-JPA 2&period;0 requires Java 1&period;5 or newer&period;升级了jdk，还是出现错误</a>
					<div>
						问题描述 JPA 2.0 requires Java 1.5 or newer.升级了jdk,还是出现错误 创建jpa project时出现错误JPA 2.0 requires Java 1.5 or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVyW3b.html" rel="bookmark" class="title">系统-telnet服务器端口连接失败</a>
					<div>
						问题描述 telnet服务器端口连接失败 局域网中的其他主机都可以telent服务器中的某个端口,为什么我的主机不能telent这个端口,本人的主机是win8.1的系统,已开启telnet客户端服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Xdrz.html" rel="bookmark" class="title">从指向看JavaScript中的难点</a>
					<div>
						前言 开写前大家先来理解一下指向:指向,即目标方向.所对的方位. 很多人刚刚接触前端甚至一些&quot;老&quot;前端都经常会在JavaScript中所谓的难点,如this,原型,继承,闭包等这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamQWXb.html" rel="bookmark" class="title">Java布局管理器的相关问题</a>
					<div>
						问题描述 Java布局管理器的相关问题 在Java中,容器ScrollPane的默认布局管理器是BorderLayout 但是可以改变ScrollPane的布局管理器吗? 我的一个程序如下: impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGALxeM.html" rel="bookmark" class="title">URL中&num;&lpar;井号&rpar;的作用&lpar;转&rpar;</a>
					<div>
						2010年9月,twitter改版. 一个显著变化,就是URL加入了&quot;#!&quot;符号.比如,改版前的用户主页网址为 http://twitter.com/username 改版后,就变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZL5ob.html" rel="bookmark" class="title">springmvc jquery传递数组&comma;</a>
					<div>
						问题描述 springmvc jquery传递数组, 代码目的是把前台被选中的选项的id存入数组,再将数组传给input.通过form提交,在控制器拦截到并接收这个数组. 但是我现在接收到的是一个字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr8ZoM.html" rel="bookmark" class="title">大家帮忙看看为什么我的HTML页面的JavaScript不好用。。</a>
					<div>
						问题描述 这个页面我用户名输入空值也能注册,所以check这个JS就不好使,checkname也不好使..&lt;html&gt;&lt;head&gt;&lt;metahttp-equiv=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6X7LM.html" rel="bookmark" class="title">activity-Android：localActivityManager将Activity转化为View，View的背景透明问题？</a>
					<div>
						问题描述 Android:localActivityManager将Activity转化为View,View的背景透明问题? (1):在ActivityGroup中, getLocalActivity ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE2koM.html" rel="bookmark" class="title">Android 动画中的Interpolator</a>
					<div>
						package android.animation; /** * 时间插值器定义了一个动画的变化率. * 这让动画让非线性的移动轨迹,例如加速和减速. * &lt;hr/&gt; * A time i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Bqrz.html" rel="bookmark" class="title">Swift 开源带来的思考</a>
					<div>
						苹果全球开发者大会今年的&quot;猛料&quot;不如往期,但Swift开源的消息,却足以赚足开发者眼球.关于苹果为什么开源Swift的分析已是铺天盖地,就无需多言,在这里更想由此思考一下语言发展的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7yEkz.html" rel="bookmark" class="title">web service-是否在自己的程序调用webservice</a>
					<div>
						问题描述 是否在自己的程序调用webservice 怎么才能防止别人直接调用我的webservice 服务端怎么检测调用webservice的程序是我写的程序 key好像没用 别人抓包还是可以拿到ke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZvkOp.html" rel="bookmark" class="title">《Python数据挖掘：概念、方法与实践》&mdash;&mdash;导读</a>
					<div>
						目 录 前言第1章 扩展你的数据挖掘工具箱1.1 什么是数据挖掘1.2 如何进行数据挖掘1.3 在数据挖掘中使用哪些技术1.4 如何建立数据挖掘工作环境1.5 小结第2章 关联规则挖掘2.1 什么是频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL6lBM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;键盘记录器&rdquo;外观不起眼 酷似U盘</a>
					<div>
						摘要: 有关能记录账号.密码输入的键盘记录器,过去几天在网上引发关注.对此,有网友在果壳网发布测试报告,称键盘记录器确实存在,而且比我们想象的强大得多. 外观不起眼 酷似U盘 有关能记录账号.密码输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWVL3z.html" rel="bookmark" class="title">找到了一篇jQuery与Prototype并存的冲突的解决方法&lowbar;javascript技巧</a>
					<div>
						以前好像在哪里看到过说jQuery与prototype存在冲突,但一直没在意.今天把自己用jquery框架写好的消息提示框特效放到公司原来的系统发现所有的消息提示效果都罢工了! 汗了半天还是没有发现原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrDG3p.html" rel="bookmark" class="title">一个调研问题</a>
					<div>
						问题描述 我们公司的NOTES考勤系统要重新做,请问用ASP做相对于JSP做有什么缺点? 解决方案 解决方案二:啊,现在还使用ASP啊?都进入web2.0net2.0年代拉,AJAX目前正流行,就像感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Gd8b.html" rel="bookmark" class="title">关于在同一个WEB项目中，连接不同字符集的ORACLE数据库的问题</a>
					<div>
						问题描述 我在同一个WEB项目的不同页面中要连接2个不同字符集的ORACLE数据库,怎么保证2个页面都不会出现乱码?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXJYWz.html" rel="bookmark" class="title">软件成主导 桌面虚拟化期待爆发期</a>
					<div>
						进入&quot;后PC&quot;时代,终端多样化已经是一个十分明显的趋势.平板电脑.智能手机等凭借良好的移动性.娱乐性等在某些应用领域已经逐步取代了PC甚至是笔记本电脑.不过,北京云端时代科技有限公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKOvEz.html" rel="bookmark" class="title">为大家分享下Alexa排名的常识</a>
					<div>
						Alexa(www.alexa.com)是一家专门发布网站世界排名的网站.以搜索引擎起家的Alexa创建于1996年4月(美国),目的是让互联网网友在分享虚拟世界资源的同时,更多地参与互联网资源的组织 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyeVRM.html" rel="bookmark" class="title">extjs无限制滚动条加载Grid行数据怎样实现</a>
					<div>
						问题描述 extjs无限制滚动条加载Grid行数据怎样实现 解决方案 解决方案二:滚动加载的插件,看看能不能和extjs结合起来用解决方案三:extjs4的demo里面自带有这样的例子extjs3也有 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
